CURATOR(1)

NAME
curator - Elasticsearch time-series index manager

SYNOPSIS
curator [-h] [-v] [--host HOST] [--url_prefix URL_PREFIX] [--port PORT] [--ssl] [--auth AUTH] [--timeout TIMEOUT] [--master-only] [-n] [-D] [--loglevel LOG_LEVEL] [--logfile LOG_FILE] [--logformat LOGFORMAT] COMMAND [COMMAND_OPTS] ARGUMENTS

DESCRIPTION
curator helps manage Elasticsearch time-series indices. It provides an easy way to perform index administration tasks, such as managing aliases, optimizing indices, changing the replica count and modifying index allocation using routing tags.

OPTIONS

-h, --help
    show program usage and exit

-v, --version
    show program's version number and exit

--host HOST
    Elasticsearch host. Default: localhost

--url_prefix URL_PREFIX
    Elasticsearch HTTP url prefix. Default: none

--port PORT
    Elasticsearch port. Default: 9200

--ssl
    Connect to Elasticsearch through SSL. Default: false

--auth AUTH
    Use Basic Authentication ex: user:pass Default: None

--timeout TIMEOUT
    Connection timeout in seconds. Default: 30

--master-only
    Verify that the node is the elected master before continuing

-n, --dry-run
    If true, does not perform any changes to the Elasticsearch indices.

-D, --debug
    Debug mode

--loglevel LOG_LEVEL
    Log level

--logfile LOG_FILE
    log file

--logformat LOGFORMAT
    Log output format [default|logstash]. Default: default

COMMANDS
Each of the following commands accepts a number of options and positional arguments. Run curator COMMAND --help for command-specific help. Available commands are:

alias
    Aliasing operations

allocation
    Apply required index routing allocation rule

bloom
    Disable bloom filter cache for indices

close
    Close indices

delete
    Delete indices

optimize
    Optimize indices

replicas
    Change replica count of indices

show
    Show indices or snapshots

snapshot
    Take snapshots of indices (Backup)

SEE ALSO
es_repo_mgr(1) Additional documentation for curator can be found at the project's wiki at https://github.com/elasticsearch/curator/wiki.

AUTHOR
curator was originally written by Aaron Mildenstein <aaron@mildensteins.com>. It is currently maintained by Elasticsearch <http://www.elasticsearch.org/>. This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project (but may be used by others).

LICENSE
This software is released under the Apache License, Version 2.0. See /usr/share/doc/elasticsearch-curator/copyright for more details. Copyright 2011-2015 Elasticsearch and contributors.